TRACE-CMD-LISTEN(1)

NAME
trace-cmd-listen - listen for incoming connection to record tracing.

SYNOPSIS

trace-cmd listen -p port [OPTIONS]

DESCRIPTION

The trace-cmd(1) listen sets up a port to listen to waiting for connections from other hosts that run trace-cmd-record(1) with the -N option. When a connection is made, and the remote host sends data, it will create a file called trace.HOST:PORT.dat. Where HOST is the name of the remote host, and PORT is the port that the remote host used to connect with.

OPTIONS

-p port
    This option will specify the port to listen to.

-D
    This options causes trace-cmd listen to go into a daemon mode and run in the background.

-V
    Listen on a vsocket instead. This is useful for tracing between host and guest VMs.

-d dir
    This option specifies a directory to write the data files into.

-o filename
    This option overrides the default trace in the trace.HOST:PORT.dat that is created when a remote host connects.

-l filename
    This option writes the output messages to a log file instead of standard output.

--verbose[=level]
    Set the log level. Supported log levels are "none", "critical", "error", "warning", "info", "debug", "all" or their identifiers "0", "1", "2", "3", "4", "5", "6". Setting the log level to specific value enables all logs from that and all previous levels. The level will default to "info" if one is not specified.

        Example: enable all critical, error and warning logs

        trace-cmd listen --verbose=warning

SEE ALSO

trace-cmd(1), trace-cmd-record(1), trace-cmd-report(1), trace-cmd-start(1), trace-cmd-stop(1), trace-cmd-extract(1), trace-cmd-reset(1), trace-cmd-split(1), trace-cmd-list(1)

AUTHOR

Written by Steven Rostedt, <rostedt@goodmis.org[1]>

RESOURCES

https://git.kernel.org/pub/scm/utils/trace-cmd/trace-cmd.git/

COPYING

Copyright (C) 2010 Red Hat, Inc. Free use of this software is granted under the terms of the GNU Public License (GPL).

NOTES

1.  rostedt@goodmis.org
    mailto:rostedt@goodmis.org